# Class MeasurementsDialog

java.lang.Object
jspecview.common.Coordinate
jspecview.common.Annotation
jspecview.dialog.JSVDialog
jspecview.dialog.MeasurementsDialog

All Implemented Interfaces:
  `AnnotationData`

public class MeasurementsDialog extends JSVDialog
Dialog for managing the measurement list for a Spectrum within a GraphSet

Author:
  Bob Hanson hansonr@stolaf.edu

## Nested Class Summary

### Nested classes/interfaces inherited from class Annotation

`Annotation.AType`

## Field Summary

### Fields inherited from class JSVDialog

`addApplyBtn, combo1, dialog, iRowColSelected, iSelected, jsvp, manager, myParams, optionKey, options, precision, spec, title, txt1, txt2, txt3, type, vwr, xyData`

### Fields inherited from class Annotation

`isPixels, text`

## Constructor Summary

Constructors
Constructor
Description
`MeasurementsDialog()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addUniqueControls()`
`boolean`
`callback(String id, String msg)`
`int[]`
`getPosXY()`

### Methods inherited from class JSVDialog

`addUniqueControls, apply, applyFromFields, callbackAD, checkEnables, dispose, done, eventApply, eventFocus, getAType, getData, getGraphSetKey, getParameters, getSpectrum, getState, isDialog, isVisible, layoutDialog, loadData, reEnable, repaint, selectTableRow, setData, setFields, setFocus, setGraphSetKey, setParams, setSpecShift, setState, setThreshold, setVisible, showMessage, update`

### Methods inherited from class Annotation

`getColoredAnnotation, setA, toString`

### Methods inherited from class Coordinate

`applyScale, copy, deltaX, equals, findXForPeakNearest, getMaxX, getMaxX, getMaxY, getMaxYUser, getMinX, getMinX, getMinY, getMinYUser, getNearestIndexForX, getNearestXWithYAbove, getXVal, getYVal, getYValueAt, isYInRange, normalise, parabolicInterpolation, parseDSV, removeScale, reverse, set, setXVal, setYVal, shiftX`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MeasurementsDialog

public MeasurementsDialog()

## Method Details

### addUniqueControls

protected void addUniqueControls()

Specified by:
  `addUniqueControls` in class `JSVDialog`

### getPosXY

public int[] getPosXY()

Specified by:
  `getPosXY` in class `JSVDialog`

### callback

public boolean callback(String id, String msg)

Specified by:
  `callback` in class `JSVDialog`